Bug 241079 - Review Request: R-DynDoc-1.14.0 - Functions for dynamic documents
Summary: Review Request: R-DynDoc-1.14.0 - Functions for dynamic documents
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jason Tibbitts
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 241082
TreeView+ depends on / blocked
 
Reported: 2007-05-23 22:19 UTC by Pierre-Yves
Modified: 2007-11-30 22:12 UTC (History)
1 user (show)

Fixed In Version: 1.14.0-5.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-24 07:04:58 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tibbs: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Pierre-Yves 2007-05-23 22:19:22 UTC
Spec URL: http://pingoured.dyndns.org/public/RPM/R-Dyndoc/R-DynDoc.spec
SRPM URL: http://pingoured.dyndns.org/public/RPM/R-Dyndoc/R-DynDoc-1.14.0-2.fc7.src.rpm
Description: 
A set of functions to create and interact with dynamic documents and 
vignettes.

Comment 1 Pierre-Yves 2007-07-10 21:05:59 UTC
Based on the R packaging guidelines, there are the new files :
SPEC:
http://pingoured.dyndns.org/public/RPM/R-Dyndoc/R-DynDoc.spec
SRPM:
http://pingoured.dyndns.org/public/RPM/R-Dyndoc/R-DynDoc-1.14.0-3.fc6.src.rpm

Thanks

Comment 2 Jason Tibbitts 2007-07-13 02:52:16 UTC
This doesn't build: No Package Found for R >= 2.5.1-2.



Comment 5 Jason Tibbitts 2007-09-29 20:57:15 UTC
Looks good to me and follows the R packaging guidelines closely.

rpmlint is silent except for the expected one-line-command-in-* complaints.

* source files match upstream:
   0e95de3c2ea047e7c46655bf2c4751895ede720b179195cff0831d12146a71ba  
   DynDoc_1.14.0.tar.gz
* package meets naming and versioning guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* summary is OK.
* description is OK.
* dist tag is present.
* build root is OK.
* license field matches the actual license.
* license is open source-compatible.
* license text not included upstream.
* latest version is being packaged.
* BuildRequires are proper.
* %clean is present.
* package builds in mock (development, x86_64).
* package installs properly
* rpmlint is silent.
* final provides and requires are sane:
   R-DynDoc = 1.14.0-5.fc8
  =
   /bin/sh
   R
* %check is present and all tests pass.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* scriptlets are OK (R package registration)
* code, not content.
* documentation is small, so no -docs subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.

APPROVED

Comment 6 Pierre-Yves 2007-09-29 21:05:39 UTC
New Package CVS Request
=======================
Package Name: R-DynDoc
Short Description: Functions for dynamic documents
Owners: PierreYvesChibon
Branches: FC-6 F-7 
InitialCC: 
Cvsextras Commits: yes

Comment 7 Kevin Fenzi 2007-09-30 18:47:53 UTC
cvs done. 


Comment 8 Fedora Update System 2007-10-08 14:56:40 UTC
R-DynDoc-1.14.0-5.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update R-DynDoc'

Comment 9 Jason Tibbitts 2007-10-24 00:19:01 UTC
Any reason not to close this ticket?

Comment 10 Pierre-Yves 2007-10-24 05:33:34 UTC
Only the fact that this package is waiting to be pushed as stable for nearly two
weeks...



Comment 11 Fedora Update System 2007-10-24 07:04:57 UTC
R-DynDoc-1.14.0-5.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.